Subject: Re: linux-next: Tree for Oct 27 (drivers/cache/ax45mp_cache.o)

From: Conor Dooley <[email-masked]>
Date: Mon, 30 Oct 2023 11:09:39 +0000

On Sun, Oct 29, 2023 at 10:17:35PM -0700, Randy Dunlap wrote:
> 
> 
> On 10/29/23 22:12, Randy Dunlap wrote:
> > 
> > 
> > On 10/27/23 00:04, Stephen Rothwell wrote:
> >> Hi all,
> >>
> >> Changes since 20231026:
> >>
> > 
> > on riscv32:
> > 
> > riscv32-linux-ld: drivers/cache/ax45mp_cache.o: in function `ax45mp_cache_init':
> > ax45mp_cache.c:(.init.text+0xe4): undefined reference to `riscv_noncoherent_register_cache_ops'
> > 
> > Full randconfig file is attached.
> > 
> 
> or with a different config file:
> 
> iscv32-linux-ld: arch/riscv/mm/pmem.o:(.text+0xa): undefined reference to `noncoherent_cache_ops'
> riscv32-linux-ld: arch/riscv/mm/pmem.o:(.text+0xe): undefined reference to `noncoherent_cache_ops'
> riscv32-linux-ld: arch/riscv/mm/pmem.o: in function `.L6':
> pmem.c:(.text+0x8a): undefined reference to `noncoherent_cache_ops'
> riscv32-linux-ld: pmem.c:(.text+0x8e): undefined reference to `noncoherent_cache_ops'
> riscv32-linux-ld: drivers/cache/ax45mp_cache.o: in function `.L26':
> ax45mp_cache.c:(.init.text+0xd8): undefined reference to `riscv_noncoherent_register_cache_ops'
> 
> and that randconfig file is attached.
> 
> I also have this one on riscv64:
> 
> riscv64-linux-ld: arch/riscv/mm/pmem.o: in function `arch_wb_cache_pmem':
> pmem.c:(.text+0x20): undefined reference to `noncoherent_cache_ops'
> riscv64-linux-ld: arch/riscv/mm/pmem.o: in function `arch_invalidate_pmem':
> pmem.c:(.text+0xcc): undefined reference to `noncoherent_cache_ops'
> riscv64-linux-ld: drivers/cache/ax45mp_cache.o: in function `.L30':
> ax45mp_cache.c:(.init.text+0x174): undefined reference to `riscv_noncoherent_register_cache_ops'
> 
> LMK if anyone wants the .config file for that one.

I think Christoph has already posted a fix for that one:
https://lore.kernel.org/all/[email-masked]/

I'll look at the other one, if Prabhakar doesn't beat me to it.

Cheers,
Conor.